include root-base.conf;

worker_processes 2;

user root nogroup;

daemon off;

http {
    include http-base.conf;

    include hosted-http-base.conf;

    server {
        include server-base.conf;

        listen 443 default;

        ssl on;
        ssl_certificate ./stack/ssl.cert;
        ssl_certificate_key ./stack/ssl.key;
        ssl_session_timeout 5m;
        ssl_protocols SSLv3 TLSv1;
        ssl_ciphers ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv3:+EXP;
        ssl_prefer_server_ciphers on;
    }
}
